version: '3.7'

services:
  server:
    entrypoint: ["sh", "-c", "java -cp app:app/lib/* com.geradordedevs.registerapi.registerapi.RegisterApiApplication"]
    environment:
      - SPRING_PROFILES_ACTIVE=dev
      - SPRING_DATA_MONGODB_URI=mongodb://mongodb-register-api:27017/register-api?retryWrites=true&w=majority
      - JWT_SECRET=anVsaWEgYmVybmFyZG8gZSBiZWF0cml6
      - CLOUD_AWS_REGION=us-east-1
      - CLOUD_AWS_ACCESS_KEY=AKIA37QJOSC7LHYMKEV4
      - CLOUD_AWS_SECRET_KEY=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
      - EMAIL_FROM=jorge.campos@geradordedevs.com.br
      - EMAIL_SUBJECT=Cadastro Curso Gerador de Devs

    depends_on:
      - db

  db:
      image: 'mongo'
      container_name: mongodb-register-api
      ports:
        - '27017:27017'
      volumes:
        - ./data/db:/data/db